nav ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
	overflow: hidden;
	background-color: #000;
}

nav li {
	float: left;
}

nav li a {
	display: block;
	color: white;
	text-align: center;
	padding: 14px 16px;
	text-decoration: none;
}

nav li a:hover {
	background-color: #4B0082;
}

html {
	position: relative;
	min-height: 100%;
}

body {
	margin: 0 0 46px;
}

main {
	padding-left: 30px;
	margin-right: 15%;
}

footer {
	position: absolute;
	left: 0;
	bottom: 0;
	height: 46px;
	width: 100%;
}
a.button {
	background-color: purple;
	box-shadow: 0 5px 0 darkred;
	color: white;
	padding: 0.5em 0.5em;
	display: inline-block;
	margin-bottom: 0.5em;
	position: relative;
	text-decoration: none;
}

a.button:hover {
	background-color: #4B0082;
	cursor: pointer;
}

a.button:active {
	box-shadow: none;
	top: 5px;
}
button {
	background-color: black;
	color: white;
	padding: 5px 15px;
	border: 3px solid #4B0082;
	border-radius: 12px;
}
button:active {
	transform: translateY(1px);
}
pre.prebox {
	overflow-x: auto;
}
